summaryrefslogtreecommitdiff
path: root/test/integration/test-apt-https-no-redirect
diff options
context:
space:
mode:
authorMichael Vogt <mvo@debian.org>2014-02-14 17:11:07 +0100
committerMichael Vogt <mvo@debian.org>2014-02-14 19:10:47 +0100
commitdc95fee18e8df2b00404c7d0f321f5b78e00f170 (patch)
treeaf4340d89e8d611cdb37a39b27c7d9ab5f0015fd /test/integration/test-apt-https-no-redirect
parent3f621056f7f672988c0efc6d38935c22b5ae041f (diff)
disable https->http redirects in libcurl
This change prevents changing the protocol from https to http.
Diffstat (limited to 'test/integration/test-apt-https-no-redirect')
-rwxr-xr-xtest/integration/test-apt-https-no-redirect24
1 files changed, 24 insertions, 0 deletions
diff --git a/test/integration/test-apt-https-no-redirect b/test/integration/test-apt-https-no-redirect
new file mode 100755
index 000000000..c405d1167
--- /dev/null
+++ b/test/integration/test-apt-https-no-redirect
@@ -0,0 +1,24 @@
+#!/bin/sh
+set -e
+
+TESTDIR=$(readlink -f $(dirname $0))
+. $TESTDIR/framework
+
+setupenvironment
+configarchitecture "i386"
+
+buildsimplenativepackage 'apt' 'all' '1.0' 'stable'
+setupaptarchive --no-update
+
+changetohttpswebserver -o 'aptwebserver::redirect::replace::/redirectme/=http://localhost:8080/'
+
+msgtest 'normal http download works'
+downloadfile 'http://localhost:8080/pool/apt_1.0/changelog' changelog2 >/dev/null 2>/dev/null && msgpass || msgfail
+
+msgtest 'normal https download works'
+downloadfile 'https://localhost:4433/pool/apt_1.0/changelog' changelog >/dev/null 2>/dev/null && msgpass || msgfail
+
+msgtest 'redirecting https to http does not work'
+downloadfile 'https://localhost:4433/redirectme/pool/apt_1.0/changelog' changelog3 2>&1 | grep "Protocol http not supported or disabled in libcurl" > /dev/null && msgpass
+
+